cURL
curl -X GET "https://detect.coolify.vkuprin.com/api/v1/watch" \
-H "x-api-key: YOUR_API_KEY"
import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
response = requests.get('https://detect.coolify.vkuprin.com/api/v1/watch', headers=headers)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://detect.coolify.vkuprin.com/api/v1/watch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"095be615-a8ad-4c33-8e9c-c7612fbf6c9f": {
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"url": "http://example.com?id={{1+1}} - the raw URL",
"link": "http://example.com?id=2 - the rendered URL, always use this for listing.",
"title": "Example Website Monitor - manually entered title/description",
"page_title": "The HTML <title> from the page",
"tags": [
"550e8400-e29b-41d4-a716-446655440000"
],
"paused": false,
"notification_muted": false,
"method": "GET",
"fetch_backend": "html_requests",
"last_checked": 1640995200,
"last_changed": 1640995200
},
"7c9e6b8d-f2a1-4e5c-9d3b-8a7f6e4c2d1a": {
"uuid": "7c9e6b8d-f2a1-4e5c-9d3b-8a7f6e4c2d1a",
"url": "http://example.com?id={{1+1}} - the raw URL",
"link": "http://example.com?id=2 - the rendered URL, always use this for listing.",
"title": "News Site Tracker - manually entered title/description",
"page_title": "The HTML <title> from the page",
"tags": [
"330e8400-e29b-41d4-a716-446655440001"
],
"paused": false,
"notification_muted": true,
"method": "GET",
"fetch_backend": "html_webdriver",
"last_checked": 1640998800,
"last_changed": 1640995200
}
}Watch Management
List all watches
Return concise list of available web page change monitors (watches) and basic info
GET
/
watch
cURL
curl -X GET "https://detect.coolify.vkuprin.com/api/v1/watch" \
-H "x-api-key: YOUR_API_KEY"
import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
response = requests.get('https://detect.coolify.vkuprin.com/api/v1/watch', headers=headers)
print(response.json())
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://detect.coolify.vkuprin.com/api/v1/watch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"095be615-a8ad-4c33-8e9c-c7612fbf6c9f": {
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"url": "http://example.com?id={{1+1}} - the raw URL",
"link": "http://example.com?id=2 - the rendered URL, always use this for listing.",
"title": "Example Website Monitor - manually entered title/description",
"page_title": "The HTML <title> from the page",
"tags": [
"550e8400-e29b-41d4-a716-446655440000"
],
"paused": false,
"notification_muted": false,
"method": "GET",
"fetch_backend": "html_requests",
"last_checked": 1640995200,
"last_changed": 1640995200
},
"7c9e6b8d-f2a1-4e5c-9d3b-8a7f6e4c2d1a": {
"uuid": "7c9e6b8d-f2a1-4e5c-9d3b-8a7f6e4c2d1a",
"url": "http://example.com?id={{1+1}} - the raw URL",
"link": "http://example.com?id=2 - the rendered URL, always use this for listing.",
"title": "News Site Tracker - manually entered title/description",
"page_title": "The HTML <title> from the page",
"tags": [
"330e8400-e29b-41d4-a716-446655440001"
],
"paused": false,
"notification_muted": true,
"method": "GET",
"fetch_backend": "html_webdriver",
"last_checked": 1640998800,
"last_changed": 1640995200
}
}Authorizations
API key for authentication. You can find your API key in the Site Spy dashboard under Settings → API.
Query Parameters
Set to 1 to force recheck of all watches
Available options:
1 Tag name to filter results
Response
200 - application/json
List of watches
Show child attributes
Show child attributes
⌘I

